import { SearchDocument } from '../../composables';
import { HubResource } from '../../models';
type __VLS_Props = {
    resource: HubResource;
};
declare const __VLS_export: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    document: (data: SearchDocument) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onDocument?: ((data: SearchDocument) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
